import request from '@/utils/request'
import qs from 'qs'

/**
 * 充值接口
 */

// 修改充值配置
const chargeUpdate = function(params) {
    return request({
        url: '/activity/chargeMoney/update.do',
        method: 'post',
        data: qs.stringify(params)
    })
}
// 删除配置
const chargeDelete = function(params) {
    return request({
        url: '/activity/chargeMoney/delete.do',
        method: 'POST',
        data: qs.stringify(params)
    })
}
// 添加配置
const chargeAdd = function(params) {
    return request({
        url: '/activity/chargeMoney/add.do',
        method: 'POST',
        data: qs.stringify(params)
    })
}
// 充值活动列表
const chargeIndex = function(params) {
    return request({
        url: '/activity/chargeMoney/index.do',
        method: 'POST',
        data: qs.stringify(params)
    })
}

const chargeOrder = function(params) { 
    return request({
        url: '/activity/chargeMoney/order.do',
        method: 'POST',
        data: qs.stringify(params)
    })
}


export default {
    chargeUpdate,
    chargeDelete,
    chargeAdd,
    chargeIndex,
    chargeOrder,
}

